> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Abort Order

> Abort an order in progress

The Zinc API allows you to abort orders that are still in the `request_processing` stage. This functionality is intended to abort an order if was made by mistake or if it is taking too long to process.

The response will be the same as if you were to [GET the order](/v1/api-reference/orders/retrieve). If we were able to immediately abort the order, the order will have an error code of `aborted_request`.

It can take time for an order to abort and success is not guaranteed. You can either periodically poll the order to check if it was aborted or use webhooks.


## OpenAPI

````yaml POST /v1/orders/{request_id}/abort
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/orders/{request_id}/abort:
    post:
      summary: Abort Order
      description: >-
        Abort an order that is still in the request_processing stage. This
        functionality is intended to abort an order if it was made by mistake or
        if it is taking too long to process.
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier for the order request to abort
      responses:
        '200':
          description: Order abort response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AbortOrderResponse'
        '400':
          description: Error response when order cannot be aborted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessingError'
components:
  schemas:
    AbortOrderResponse:
      type: object
      properties:
        _type:
          type: string
          description: Response type
          enum:
            - error
        code:
          type: string
          description: Error code
          enum:
            - aborted_request
            - request_processing
        message:
          type: string
          description: Error message
        data:
          type: object
          description: Additional error data
        request_id:
          type: string
          description: The unique identifier for the order request
        request:
          type: object
          description: The original request that was sent to the Zinc API
    ProcessingError:
      type: object
      properties:
        _type:
          type: string
          description: Response type
          enum:
            - error
        code:
          type: string
          description: >-
            Error code. Most commonly `request_processing`, but can be any error
            code from the [Error
            Handling](/api-reference/introduction/error-handling) documentation.
        message:
          type: string
          description: Error message
        data:
          type: object
          description: Additional error data
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````